Zeitgeist.Utils – zeitgeist-2.0 Reference Manual

# Zeitgeist.Utils

## Description:

Utility functions. FOR INTERNAL USE ONLY

A set of funtions that if used would only affect libzeitgeist in the code it is used in.

## Content:

### Constants:

- public const unowned `string` ENGINE_DBUS_NAME
- public const unowned `string` ENGINE_DBUS_PATH
- public const unowned `string` SIG_EVENT
- public const `size_t` MAX_DBUS_RESULT_SIZE
- public const `uint` CACHE_SIZE

### Functions:

- public unowned `string` get_data_path ()
- public `string` get_default_data_path ()
- public unowned `string` get_database_file_path ()
- public void set_database_file_path (`string` path)
  Sets the filepath of the database.
- public unowned `string` get_database_file_backup_path ()
- public `string` get_database_file_retire_name ()
- public unowned `string` get_local_extensions_path ()
- public `bool` using_in_memory_database ()
- public void backup_database () throws `Error`
- public `bool` parse_negation (ref `string` val)
  Check if the value starts with the negation operator. If it does, remove the operator from the value and return true. Otherwise, return false.
- public `bool` parse_noexpand (ref `string` val)
  Check if the value starts with the noexpand operator. If it does, remove the operator from the value and return true. Otherwise, return false.
- public `bool` parse_wildcard (ref `string` val)
  Check if the value ends with the wildcard character. If it does, remove the wildcard character from the value and return true. Otherwise, return false.
- public `bool` is_empty_string (`string`? s)
  Return true if a string is empty (null or containing just a null byte).
- public `bool` log_may_read_directly ()